//--- export object begin ---//
instant FearGuiFormattedText "StrippedPrefs";
//--- export object end ---//
$Stripped::Version = "1.3";

//Stripped.
//nuff said.
//Well, maybe not.  This set of scripts is based on what I actually use when playing tribes competitively
//What is it you ask?  Well, basically, it's a stripped down set of scripts that were made per MY prefs
//and specs.  Here, you will find no guis, no long text manuals, and no pretty graphics.  This is old
//school.  You set all your prefs via editing text files.  Namely, this very one you are reading.  Couple of things
//before we get started...  I will not support this pack.  Dont email me, dont bother me.  If you dont get it, 
//well tough nougies!  Ill try to explain everything the best I can here in this file, but thats it.

//"Why would I want to use this?", you ask.  Well, I'll tell ya..  I don't know.  You may want to use it just to
//have something different.  You may want to use it because it's for the most part, hard coded for base servers.
//You may want to use it because there is relatively no overhead on your system.  This pack contains NO fluff.
//This pack is NOT user friendly, nor is this pack 3rd party SCRIPT friendly.  If you're wondering why in the hell
//I would make something like this, well... you just dont get it then. :)  Go download and use my pretty scripts
//that come with easy to use GUIs and lengthy explanations.  Still with me?  Cool.  On to the guts...

//Version 1.2 - Lots of bug fixes...  ChainZoom has been reverted to its original design.  No more smooth zoom, but it is 1000%
//more reliable.  The connect script will no longer interfere with TribesIP or gamespy.  No more crashes. :)  The
//stuttering problem with drop.cs is gone as well.  DemoDrop.cs will now refuse to demo drop if you started it via
//TribesIP or Gamespy, since it crashed to the desktop anyhow.  Now it politely tells you that it just ain't gonna
//do it.  New script included are a PoopIncoming port, a Busy Server Redial script, as well as a nifty port of Zear's
//ReticleCompass with an enhancement or two.  There were several other minor changes not worth mentioning.  I don't
//know of any other bugs in Stripped, but I'm sure there are plenty.  Feel free to contact me and let me know if you
//found one.



//***********************************************************
//Default Prefs Section
//***********************************************************

//Here you will find numerous native Tribes specs.  You have one of two choices... TRUE or FALSE.  M'kay?

//Want weather?  Gain Some extra FPS by keeping it off.
$pref::weatherPrecipitation = "True";

//Cut out the sky details?  More FPS if FALSE
$pref::skyDetail = "0.000000";

//Cut this for sure. :)
$pref::waitForVSync = "FALSE";

//Cut out some more filtering. We all cuss and spit anyhow
$pref::filterBadWords = "FALSE";

//Want to Stop Hitting that INV screen whenever you enter the INV?
$pref::noEnterInvStation = "TRUE";

//Keep Tribes from playing cds in your tray and causing potential lag
$pref::cdMusic = "FALSE";

//Set this to your zoom speed.  The lower the number, the faster the zoom.
$pref::PlayerZoomSpeed = "0.1";
//***********************************************************



//***********************************************************
//Custom Scripts Section
//***********************************************************

//Load all the support functions
exec("Support.cs");
//Load up an inventory table
//exec("SlimInventory.cs");
//Load the menu system
exec("MenuSystem.cs");
//Load the the Text Input script
exec("TextInput.cs");
//Load the the Key Binding script
exec("Keybind.cs");
//Load the the HUD Moving script - Keybind is Control + H
exec("MoveHuds.cs");
//***********************************************************
//No touchy next line.
exec("QuickKeys.cs");
//***********************************************************

//***********************************************************
//Jump.
//***********************************************************
//Bounce, bounce, bounce, bounce, etc. :o)

//Jump Keybind.  I refuse to explain this. 
$JumpKey = "space";
$Jump::Device = "keyboard";

//If you do not wish to run this script, set the following line to FALSE.
$Jump::Enabled = "TRUE";
if($Jump::Enabled == "TRUE") {exec("Jump.cs"); }
//***********************************************************

//***********************************************************
//DemoPlay
//***********************************************************
//Non-User Definable.  This script rebinds your number pad keys to fast forward, slow down
//and pause any demo you are watching. The speeds are as follows... 1 - 1x, 2 - 2x, 3 - 3x,
//4 - 4x, 5 - 5x, 6 - 10x, 7 - 15x, 8 - 20x, 9 - 25x, Minus Key - 1/2x, 0 - Pause

//If you do not wish to run this script, set the following line to FALSE.
$DP::Enabled = "TRUE";
if($DP::Enabled == "TRUE") { exec("DemoPlay.cs"); }

//***********************************************************

//***********************************************************
//DemoDrop
//***********************************************************
//Allows you to drop and rejoin with the camera rolling - Automatically.
//Keybinds are "ALT + HOME" to record a new demo, "ALT + END" to end recording.

//If you do not wish to run this script, set the following line to FALSE.
$DD::Enabled = "TRUE";
if($DD::Enabled == "TRUE") { exec("DemoDrop.cs"); }

//***********************************************************

//***********************************************************
//Connect
//***********************************************************
//Allows you to manually enter an IP through tribes, as well as change the password.
//Simply click the "Join Server" button on the join game screen and a simple pop-up
//allowing you to change the ip/pass will appear.

//If you do not wish to run this script, set the following line to FALSE.
$Connect::Enabled = "TRUE";
if($Connect::Enabled == "TRUE") { exec("Connect.cs"); }

//***********************************************************

//Auto Rejoin
//***********************************************************
//Automatic redial for those busy servers you just *have* to get on.

//If you do not wish to run this script, set the following line to FALSE.
$ARJ::Enabled = "TRUE";
if($ARJ::Enabled == "TRUE") { exec("AutoRejoin.cs"); }

//***********************************************************

echo("----------------------------------------------------------------------------------");
echo("Stripped version "@$Stripped::Version@" has been successfully executed.");
echo("----------------------------------------------------------------------------------");
$Stripped::Installed = "TRUE";

//Don't touch.
if(isObject(StrippedPrefs))
	deleteobject(StrippedPrefs);
